<?php

namespace App\Manager\Toolbar\Element;

class ToolbarDropdown extends AbstractToolbarElement
{
    private array $items;

    public function __construct(string $icon, string $text, string $action, array $items)
    {
        parent::__construct($icon, $text, $action);
        $this->items = $items;
    }

    public function getType(): string
    {
        return 'dropdown';
    }

    public function getAdditionalProperties(): array
    {
        return ['items' => $this->items];
    }
}
